<?xml version="1.0" encoding="utf-8"?>
<Config>
    <portraitSegmentKFAlg enable="1">     <!-- 0: disable 1: enable -->
        <srcRGBImageKFWidth> 480 </srcRGBImageKFWidth>
        <srcRGBImageKFHeight> 480 </srcRGBImageKFHeight>
        <dstMaskImageKFWidth> 120 </dstMaskImageKFWidth>
        <dstMaskImageKFHeight> 120 </dstMaskImageKFHeight>
        <modelPath>/vendor/etc/camera/semantic/model/human/body_seg_rt_480_u8.ms</modelPath>
        <dataType>0</dataType> <!-- 0, 不归一化，1，除以255，归一化0到1， 2， 除以255，再减均值并除以标准差 -->
    </portraitSegmentKFAlg>

    <renderNetAlg enable="0">     <!-- 0: disable 1: enable -->
        <srcRenderWidth> 960 </srcRenderWidth>
        <srcRenderHeight> 540 </srcRenderHeight>
        <srcCocWidth> 480 </srcCocWidth>
        <srcCocHeight> 270 </srcCocHeight>
        <modelPath>/vendor/etc/camera/cnnmodel/dualcamera/RenderNet.ms</modelPath>
        <sigmaDepthFocusOffsetMain> 0.0 </sigmaDepthFocusOffsetMain>
        <sigmaDepthFocusOffsetTele> 30.0 </sigmaDepthFocusOffsetTele>
        <sigmaFnumOffsetMain> 0.07 </sigmaFnumOffsetMain>
        <sigmaFnumOffsetTele> 0.04 </sigmaFnumOffsetTele>
        <renderNetMaxFEMain> 0.9 </renderNetMaxFEMain>
        <renderNetMaxFETele> 0.6 </renderNetMaxFETele>
    </renderNetAlg>

    <boxFilter>
        <radius> 2 </radius>
    </boxFilter>
    <dofBoundarySmooth>
        <smoother> 8 </smoother>  <!--the greater, the smoother-->
    </dofBoundarySmooth>
    <isBlurOnMask enable="0">     <!-- 0: disable 1: enable -->
    </isBlurOnMask>

    <drawFocusPoint enable="0">
    </drawFocusPoint>
    <totalSendLastFrameCnt> 5 </totalSendLastFrameCnt>
    <bokehStartSmoothFrameNum> 12 </bokehStartSmoothFrameNum>

    <guideResize enable="0">     <!-- 0: disable 1: enable -->
    </guideResize>
    <erodeSegMaskEnable enable="0">
        <radius> 1 </radius>
        <ratio> 1 </ratio>
    </erodeSegMaskEnable>
    <denseDmapOptAlg enable="1">     <!-- 0: disable 1: enable -->
    </denseDmapOptAlg>
    <bokehParam>
        <bokehCoefRatio> 1.2</bokehCoefRatio>
        <zoomRatioConvertNode> 3.99 </zoomRatioConvertNode>
        <circleFilterTransitionEnable> 1 </circleFilterTransitionEnable>  <!--大尺度圆形滤波使能-->
    </bokehParam>
    <eisCompensationParam>
        <enableEisComp> 0 </enableEisComp>  <!--eisWarp标志-->
        <fovCompX> 7 </fovCompX>
        <fovCompY> 4 </fovCompY>
        <fovCompWidth> 14 </fovCompWidth>
        <fovCompHeight> 8 </fovCompHeight>
        <resolutionCompFullx> 1 </resolutionCompFullx>
        <resolutionCompFully> 6 </resolutionCompFully>
        <resolutionComp219x> 1 </resolutionComp219x>
        <resolutionComp219y> 9 </resolutionComp219y>
        <resolutionComp720Px> 1 </resolutionComp720Px>
        <resolutionComp720Py> 0 </resolutionComp720Py>
    </eisCompensationParam>
    <transFrameNum> 32 </transFrameNum>
    <trackMaskCntTotal> 16 </trackMaskCntTotal>
    <delayFrameNum> 0 </delayFrameNum>
    <bokehCiclePara>
        <tfCoef> 60 </tfCoef>
    </bokehCiclePara>
    <segBinDilateTimes> 2 </segBinDilateTimes>

    <flareEnhance>
        <flareEnhanceEnable enable="1">     <!-- 0: disable 1: enable -->
        </flareEnhanceEnable>
        <dgammaEnhanceEnable enable="0">     <!-- 0: disable 1: enable -->
        </dgammaEnhanceEnable>
        <degammaCoef> 2.0 </degammaCoef>
        <feQuantGain> 100 </feQuantGain>
        <degammaQuantGain> 100 </degammaQuantGain>
        <brightenCoef> 2.0 </brightenCoef>
        <minCocTh> 5 </minCocTh>
        <maxCocTh> 10 </maxCocTh>
    </flareEnhance>

    <sigmaCurveParam>
        <commonSlopCoef> 1.15 </commonSlopCoef>
        <dofCuvreParamA> 3.0 </dofCuvreParamA>
        <dofCuvreParamB> 0.25 </dofCuvreParamB>
    </sigmaCurveParam>
</Config>